Package com.usatiuk.objects.transaction

# Class TransactionService

java.lang.Object
com.usatiuk.objects.transaction.TransactionService

@ApplicationScoped public class TransactionService extends Object

## Method Summary

Modifier and Type
Method
Description
`org.apache.commons.lang3.tuple.Pair<Collection<Runnable>,TransactionHandle>`
`commit(com.usatiuk.objects.transaction.TransactionImpl tx)`
`com.usatiuk.objects.transaction.TransactionImpl`
`createTransaction()`
`void`
`rollback(com.usatiuk.objects.transaction.TransactionImpl tx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createTransaction

public com.usatiuk.objects.transaction.TransactionImpl createTransaction()

### commit

public org.apache.commons.lang3.tuple.Pair<Collection<Runnable>,TransactionHandle> commit(com.usatiuk.objects.transaction.TransactionImpl tx)

### rollback

public void rollback(com.usatiuk.objects.transaction.TransactionImpl tx)